﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace WinGridGroupByRow
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable table = new DataTable();
            table.Columns.Add("Column 1", typeof(string));
            table.Columns.Add("Column 2", typeof(string));
            table.Columns.Add("Column 3", typeof(string));
            table.Columns.Add("Column 4", typeof(string)).DefaultValue = "test text";

            for (int i = 0; i < 50; i++)
            {
                table.Rows.Add(string.Format("Col1 item {0,5}", i % 7), string.Format("Col2 item {0,5}", i % 5), string.Format("Col3 item {0,5}", i % 3));
            }


            ultraGrid1.DataSource = table;
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Column 1", true, true);
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Column 2", true, true);
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Column 3", true, true);

            ultraGrid1.Rows[0].Expanded = true;
            ultraGrid1.Rows[0].ChildBands[0].Rows[3].Expanded = true;

            ultraGrid1.Rows[0].ChildBands[0].Rows[3].ChildBands[0].Rows[0].Selected = true;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            


        }

        private void GetGrupedRows(ref Dictionary<UltraGridGroupByRow, object> ListOfGrupedColumns)
        {

        }
    }
}
